import { Observable } from "../render/index";
import { Matrix, Vector3 } from "../maths/math.vector";

export interface IPiCollider {
    minimum: Vector3,
    maximum: Vector3,
    reConstruct(min: Vector3, max: Vector3, worldMatrix?: Matrix);
}

export interface IColliderItem {
    _collider: IPiCollider;
    onPointerObservable: Observable<any>;
}