import { IVector2, IVector3, IVector4 } from "./math";
import { IAbstractMesh } from "./abstractmesh";

export interface IInstancedBuffer {
    // [index: string]: number | IVector2 | IVector3 | IVector4;
}

export interface IInstanceSource extends IAbstractMesh {
    createInstance(name: string): IInstancedMesh;
    instances: Map<any, IInstancedMesh>;
}

export interface IInstancedMesh extends IAbstractMesh {
    sourceMesh: IInstanceSource;
    // instancedBuffer: IInstancedBuffer;
    // instanceAttribute(key: string, value: number | IVector2 | IVector3 | IVector4): void;
}