import { Constants } from "./constants";
import { IScene } from "./scene";

export interface ITexture {
    updateURL(url: string): void;
    offsetSpeedU: number;
    offsetSpeedV: number;
    uOffset: number;
    vOffset: number;
    uScale: number;
    vScale: number;
    level: number;
    wrapU: Constants.ADDRESS_MODE;
    wrapV: Constants.ADDRESS_MODE;
    dispose(): void;
    getScene(): IScene;
}