# Particle

## Local Compute

### Base

* Duration
* Lifetime

### Position

* Direction
  * Start Direction
    * Shape
    * Start Speed
  * Force
    * Gravity Multiply
    * Force Over Lifetime
  * Dynamic Velocity
    * Velocity Over Lifetime
  * Limit
    * Limit Velocity Over Lifetime

### Color

* Start Color
* Color Over Lifetime

### Size

* Start Size
* Size Over Lifetime

### Rotation

* Start Rotation
* Rotation Over Lifetime

## World Compute

### Parent World Matrix

* Input
  * M0
    * ParticleSystem Parent WorldMatrix
      * Start Record
      * Realtime Record
  * M1
    * ParticleSystem LocalMatrix
      * Start Record
      * Realtime Record
  * M2
    * Shape Start Point as Parent Node
  * M3
    * Local Matrix
* Compute
  * Scaling Mode
    * Hierarchy
      * (M3 X (M2 X (M1 X M0)))
    * Local
      * (M3 X (M2 X (M1 X (M0 Scale as One)) ))
    * Shape
      * (M3 X (M2 X (M1 X (M0) Scale  as One) ))
  * Render Alignment
    * View
      * (M Rotate as Identify) X V X P
    * World
      * M X V X P
    * Local
      * (M Rotate with M0's Invert) X V X P
