import * as BABYLON from "../render/index";
// import * as BABYLON from "../pi_babylon/render3d/babylon";

export interface IParticle {
    startWorldMatrix: BABYLON.Matrix;
    startWorldMatrixInvert: BABYLON.Matrix;
    emitWorldMatrix: BABYLON.Matrix;
    startScaling: BABYLON.Vector3;
    startColor: BABYLON.Color4;
    emitRotation: BABYLON.Vector3;
    position: BABYLON.Vector3;
    rotation: BABYLON.Vector3;
    scaling: BABYLON.Vector3;
    velocity: BABYLON.Vector3;
    direction: BABYLON.Vector3;
    directionLength: number;
    color: BABYLON.Color4;
    textureStartFrame: number;
    textureRow: number;
    age: number;
    lifetime: number;
    trialLifetime: number;
    trialWidth: number;
    lifeRecordList: number[];
    globalPositionList: BABYLON.Vector3[];
    localPositionList: BABYLON.Vector3[];
    globalRecordList: [number, number, number, number][];
    localRecordList: [number, number, number, number][];
    colorOverLifetimeAmount: number;
    baseRandom: [number, number, number, number];
    readldirection: BABYLON.Vector3;
    uv: [number, number, number, number];
    reset(): void;
}