import { IMaterial } from "../interface/index";
import { BABYLON } from "../render3d/babylon";

export interface IMixGroundTextureTilloff {
    uScale: number;
    vScale: number;
    uOffset: number;
    vOffset: number;
}

export interface IMixGroundMaterial extends IMaterial {
    assetTex0: BABYLON.Texture;
    assetTex1: BABYLON.Texture;
    assetTex2: BABYLON.Texture;
    assetTex3: BABYLON.Texture;
    assetTex4: BABYLON.Texture;
    mixTex: BABYLON.Texture;
    lightTex: BABYLON.Texture;
    gridTex: BABYLON.Texture;
    assetTilloff0: IMixGroundTextureTilloff;
    assetTilloff1: IMixGroundTextureTilloff;
    assetTilloff2: IMixGroundTextureTilloff;
    assetTilloff3: IMixGroundTextureTilloff;
    assetTilloff4: IMixGroundTextureTilloff;
    mixTilloff: IMixGroundTextureTilloff;
    sceneHSize: number;
    sceneVSize: number;
    gridEdgeLineBaseSize: number;
    gridEdgeLineDeltaSize: number;
    gridEdgeLineStrength: number;
    gridEdgeLightStrength: number;
    gridEdgeLightRangeSize: number;
}