import { IPostprocessParamType } from "./base";

export const KeyDualBlur = "DualBlur";
export interface IDualBlur extends IPostprocessParamType {
    etype: typeof KeyDualBlur;
    /**
     * 模糊半径
     */
    blurRadius: number;
    /**
     * 模糊强度
     */
    intensity: number;
}

export const KeyDualBlurDown = "DualBlurDown";
export interface IDualBlurDown extends IPostprocessParamType {
    etype: typeof KeyDualBlurDown;
    /**
     * 模糊半径
     */
    blurRadius: number;
    /**
     * 模糊强度
     */
    intensity: number;
}

export const KeyDualBlurUp = "DualBlurUp";
export interface IDualBlurUp extends IPostprocessParamType {
    etype: typeof KeyDualBlurUp;
    /**
     * 模糊半径
     */
    blurRadius: number;
    /**
     * 模糊强度
     */
    intensity: number;
}
