
import { FrameCurveV3Easing, FrameCurveV3Frames, FrameCurveV3FramesStep, FrameCurveV3GLTFCubicSpline, FrameCurveV3PIGLTFCubicSpline } from "./base";
import { p3d } from "../../types";

export class FrameCurvePosition extends FrameCurveV3Frames  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalPosition;
}
export class FrameCurvePositionStep extends FrameCurveV3FramesStep  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalPosition;
}
export class FrameCurvePositionCubicSpline extends FrameCurveV3GLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalPosition;
}
export class FrameCurvePositionPICubicSpline extends FrameCurveV3PIGLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalPosition;
}
export class FrameCurvePositionEasing extends FrameCurveV3Easing  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalPosition;
}