
import { FrameCurveV3Easing, FrameCurveV3Frames, FrameCurveV3FramesStep, FrameCurveV3GLTFCubicSpline, FrameCurveV3PIGLTFCubicSpline } from "./base";
import { p3d } from "../../types";

export class FrameCurveEuler extends FrameCurveV3Frames  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalEulerAngles;
}
export class FrameCurveEulerStep extends FrameCurveV3FramesStep  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalEulerAngles;
}
export class FrameCurveEulerCubicSpline extends FrameCurveV3GLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalEulerAngles;
}
export class FrameCurveEulerPICubicSpline extends FrameCurveV3PIGLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalEulerAngles;
}
export class FrameCurveEulerEasing extends FrameCurveV3Easing  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalEulerAngles;
}