
import { FrameCurveV4Easing, FrameCurveV4Frames, FrameCurveV4FramesStep, FrameCurveV4GLTFCubicSpline, FrameCurveV4PIGLTFCubicSpline } from "./base";
import { p3d } from "../../types";

export class FrameCurveRotationQuaternion extends FrameCurveV4Frames  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalRotation;
}
export class FrameCurveRotationQuaternionStep extends FrameCurveV4FramesStep  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalRotation;
}
export class FrameCurveRotationQuaternionCubicSpline extends FrameCurveV4GLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalRotation;
}
export class FrameCurveRotationQuaternionPICubicSpline extends FrameCurveV4PIGLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalRotation;
}
export class FrameCurveRotationQuaternionEasing extends FrameCurveV4Easing  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalRotation;
}