
import { FrameCurveV3Easing, FrameCurveV3Frames, FrameCurveV3FramesStep, FrameCurveV3GLTFCubicSpline, FrameCurveV3PIGLTFCubicSpline } from "./base";
import { p3d } from "../../types";

export class FrameCurveScaling extends FrameCurveV3Frames  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalScaling;
}
export class FrameCurveScalingStep extends FrameCurveV3FramesStep  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalScaling;
}
export class FrameCurveScalingCubicSpline extends FrameCurveV3GLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalScaling;
}
export class FrameCurveScalingPICubicSpline extends FrameCurveV3PIGLTFCubicSpline  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalScaling;
}
export class FrameCurveScalingEasing extends FrameCurveV3Easing  {
    protected _property: p3d.EAnimePropertyID = p3d.EAnimePropertyID.LocalScaling;
}