import { IFrameUpdate } from "../types";
import { Color3 } from "../../maths/math.color"
import { Observable } from "../../interface/index";

export class FresnelParameters implements IFrameUpdate {
    _onFrameUpdate(): void {
        throw new Error("Method not implemented.");
    }
    onDisposeObserver: Observable<number> =  new Observable<number>();
    _update(): void {
        this._dirty = false;
    }
    dispose(): void {
        // throw new Error("Method not implemented.");
    }

    private _dirty: boolean = true;
    public get dirty() {
        return this._dirty;
    }

    private _leftColor: Color3 = new Color3(1, 1, 1);
    public set leftColor(val: Color3) {
        this._dirty = true;
        this._leftColor = val;
    }

    private _rightColor: Color3 = new Color3(1, 1, 1);
    public set rightColor(val: Color3) {
        this._dirty = true;
        this._rightColor = val;
    }
    
    private _bias: number = 0.4;
    public set bias(val: number) {
        this._dirty = true;
        this._bias = val;
    }
    public get bias() {
        return this._bias;
    }

    private _power: number = 0;
    public set power(val: number) {
        this._dirty = true;
        this._power = val;
    }
    public get power() {
        return this._power;
    }
}
