import { Engine } from "../../engines/engine";
import { Constants } from "../../../interface/index";
import { p3d } from "../../types";
import { ExtensionTools } from "../../../base";

export class UniformCutoff {
    public static KEY_VALUE: string = Constants.U_CUTOFF
    public static cutoff(mat: number, val: number) {
        p3d.p3d_material_uniform_float(Engine.commands(), mat, ExtensionTools.getAtom(this.KEY_VALUE), val);
    }
}