
import { Mesh } from "./mesh";
import { Engine } from "../engines/engine";
import { Scene } from "../scene";
import { ITransformNodeD3, p3d } from "../types";

export class TrailMesh extends Mesh {
    constructor(name: string, scene: Scene, public readonly linked: ITransformNodeD3) {
        let entity = p3d.p3d_entity(Engine.native());
        p3d.p3d_trail(Engine.commands(), scene.entity, entity, linked.entity);
        // linked.
        super(name, scene, [], true, false, entity)
    }
}