# pi_3d

## Scene

* AnimationContext
* AnimationCurve > AssetMgr.get
* BindSceneEffect
    * BindBufferMgr.allocat
* BindEnv
    * BindBufferMgr.allocat
    * Textures > AssetMgr.Loader
* BindBRDF
    * BindBufferMgr.allocat
* BindLightingShadow
    * BindBufferMgr.allocat
    * Textures > SafeAtlas.allocat
* SceneLightingMgr
    * UpdateBindBuffer

## Mesh

* SceneID
* GeometryID
* SkeletonID
* LayerMask
* Pass01, Pass02, Pass03, Pass04, Pass05, Pass06, Pass07, Pass08, 
* BindModel
    * BindBufferMgr.allocat
* BindModelLightingIdx
    * BindBufferMgr.allocat
* InstanceSource
  * UpdateGeometry

## Geometry

* Vertices > AssetMgr.Loader
* Indices > AssetMgr.Loader
* RenderGeometry

## Material

* Shader > AssetMgr.get
* BindEffectValue
    * BindBufferMgr.allocat
* BindTexture01 ...
    * Textures > AssetMgr.Loader
* BindSampler01 ...
    * Samplers > AssetMgr.get

## Skeleton

* SceneID
* Update Uniform Buffer
* BindSkeleton
    * BindBufferMgr.allocat

## Viewer

* SceneID
* RendererMap
  * < Pass, RendererID >
* ForceIncludeMeshes
* BindViewer
    * BindBufferMgr.allocat

## Pass

* [ MeshID, SceneID ]
* [ GeometryID, MaterialID, Pass ]
* [ PassBindgroups, PassShader, PassPipeline, PassDrawObj ]

## Renderer

* Pass
* ViewerID
* RenderTarget
  * Final
  * Custom
  * Auto
* DrawObjList
* ...

## Camera as Viewer

* LayerMask

## ShadowGenerator as Renderer as Viewer

* Pass
* LinkedLightingID
* RendererID

## Lighting

* LinkedShadowID
* LayerMask

## Command 

* 同步操作
  * Entity Create
  * setEnable()
  * Position
  * Rotation / RotationQuaternion
  * Scaling
  * parent
  * dispose
  * Camera 属性
* 异步/帧同步时操作
  * 材质属性
  * 纹理属性
  * 渲染状态
  * 动画属性
  * 其他渲染数据