import { BABYLON } from "../render3d/babylon";
import { CylinderBuilder } from "./cylinder";

export class ConeGeometry {
    public static _CreateCone(options: { height?: number, diameterTop?: 0, diameterBottom?: number, diameter?: number, tessellation?: number, subdivisions?: number, arc?: number, faceColors?: BABYLON.Color4[], faceUV?: BABYLON.Vector4[], hasRings?: boolean, enclose?: boolean, cap?: number, sideOrientation?: number, frontUVs?: BABYLON.Vector4, backUVs?: BABYLON.Vector4 }): BABYLON.VertexData {
        options.diameterTop = 0;
        return CylinderBuilder.CreateCylinder(options);
    }
}