export interface IPITextureInfo {
    /**
     * The index of the texture
     */
    index: number;
    /**
     * The set index of texture's TEXCOORD attribute used for texture coordinate mapping
     */
    texCoord?: number;
    /**
     * PI 拓展
     */
    hasAlpha?: boolean;
    offset?: [number, number];
    scale?: [number, number];
    level?: number;
}