
import { IParticle } from "../particle_base";
import { IParticleModifier, RotationInterpolate } from "./base";

export class StartRotation extends RotationInterpolate implements IParticleModifier {
    modify(particle: IParticle, amount: number, deltaSeconds: number) {
        this.compute(amount, particle.baseRandom, particle.rotation);
    }
}