
export const KeyRadialBlur = "RadialBllur";
/**
 * 效果以屏幕中心为原点
 */
export interface IRadialBlur {
    etype: typeof KeyRadialBlur;
    /**
     * 模糊半径 - 像素值
     */
    blurRadius: number;
    /**
     * 径向中心坐标
     */
    centerX: number;
    /**
     * 径向中心坐标
     */
    centerY: number;
    /**
     * 效果迭代次数 - 基础为 6
     */
    iteration: number;
}