import { Constants } from "../../interface/index";
import { Color3 } from "../../maths/index";
import { Scene } from "../scene";
import { MainOpacityEmissiveFresnelMaterial } from "./main_opacity_emissive_fresnel";

/**
 * @deprecated
 */
export class StandardMaterial extends MainOpacityEmissiveFresnelMaterial {
    public static ShaderName = "StandardMaterial"
    constructor(name: string, scene: Scene, shaderName = StandardMaterial.ShaderName, _pass: Constants.PassTag = Constants.PASS_TAG_06) {
        super(name, scene, shaderName, _pass);
    }
    private _emissiveColor: Color3 = Color3.White();
    public set emissiveColor(val: Color3) {
        console.error("Not Implement!!!");
        this._specularColor.copyFrom(val);
    }
    public get emissiveColor() {
        console.error("Not Implement!!!");
        return this._emissiveColor
    }
    

    private _specularColor: Color3 = Color3.White();
    public set specularColor(val: Color3) {
        console.error("Not Implement!!!");
        this._specularColor.copyFrom(val);
    }
    public get specularColor() {
        console.error("Not Implement!!!");
        return this._specularColor;
    }
    
    private _specularPower: number = 64;
    public set specularPower(val: number) {
        console.error("Not Implement!!!");
        this._specularPower = val;
    }
    public get specularPower() {
        console.error("Not Implement!!!");
        return this._specularPower;
    }
    
    private _ambientColor: Color3 = Color3.White();
    public set ambientColor(val: Color3) {
        console.error("Not Implement!!!");
        this._ambientColor.copyFrom(val);
    }
    public get ambientColor() {
        console.error("Not Implement!!!");
        return this._ambientColor;
    }
    
    private _useAlphaFromDiffuseTexture: boolean = false;
    public set useAlphaFromDiffuseTexture(val: boolean) {
        console.error("Not Implement!!!");
        this._useAlphaFromDiffuseTexture = val;
    }
    public get useAlphaFromDiffuseTexture() {
        console.error("Not Implement!!!");
        return this._useAlphaFromDiffuseTexture;
    }
    
    private _disableLighting: boolean = false;
    public set disableLighting(val: boolean) {
        console.error("Not Implement!!!");
        this._disableLighting = val;
    }
    public get disableLighting() {
        console.error("Not Implement!!!");
        return this._disableLighting;
    }
}