// /**
//  *
//  */

import { BABYLON } from './babylon';

export class Engine extends BABYLON.Engine {

}

export class BabylonLogTool {
    public static logFlag: boolean = false;
    public static warnFlag: boolean = false;
    public static log(...str: any[]) {
        if (BabylonLogTool.logFlag) {
            console.log(...str);
        }
    }
    public static warn(...str: any[]) {
        if (BabylonLogTool.logFlag) {
            console.warn(...str);
        }
    }
}