// import { BABYLON } from '../render3d/babylon';
// import { IPITextureInfo } from '../material_info';

// export interface IPIMaterialStandard extends BABYLON.GLTF2.Loader.IPIMaterial {
//     /**
//      * 材质类型
//      */
//     type: string;

//     /**
//      * 共用材质的ID
//      */
//     instanceID?: string;

//     alphaMode: number;
//     needAlphaBlend?: 1;
//     zWrite?: 1;

//     disableLighting: boolean;
//     diffuseColor?: [number, number, number];
//     specularColor?: [number, number, number];
//     specularPower?: number;
//     ambientColor?: [number, number, number];
//     reflectivityColor: [number, number, number];

//     alpha: number;
//     cull: string;

//     useAlphaFromDiffuseTexture: boolean;
//     diffuseTexture?: IPITextureInfo;

//     opacityTexture?: IPITextureInfo;

//     emissionColor: [number, number, number];
//     emissionTexture?: IPITextureInfo;

//     bumpTexture?: IPITextureInfo;
//     normalScale?: number;

//     // useLightmapAsShadowmap?: boolean;
//     lightmapTexture?: IPITextureInfo;

//     // Fresnel
//     EFBias?: number;
//     EFPower?: number;
//     EFLeft?: [number, number, number];
//     EFRight?: [number, number, number];
//     emissiveMapLevel?: number;
//     // Opacity Fresnel
//     OFBias?: number;
//     OFPower?: number;
//     OFLeft?: [number, number, number];
//     OFRight?: [number, number, number];

//     // alphaCutOff
//     alphaCutOff?: number;
//     /**
//      * cutoffEdgeThickness
//      */
//     coET?: number;
//     /**
//      * cutoffEdgeColor
//      */
//     coEColor?: [number, number, number];
//     /**
//      * cutoffEdgeLevel
//      */
//     coEL?: number;
//     /**
//      * cutoffEdgeAlphaDiff
//      */
//     coEAD?: number;

//     fog?: boolean;

//     alphaClip?: boolean;
//     renderQueue?: number;
//     diffuseOU?: number;
//     diffuseOV?: number;
//     emissionOU?: number;
//     emissionOV?: number;
//     opacityOU?: number;
//     opacityOV?: number;
//     diffuseLevel?: number;
//     opacityLevel?: number;

//     ambientTexture?: IPITextureInfo;
//     ambientMapLevel?: number;

//     maskColor?: [number, number, number];
//     maskTexture?: IPITextureInfo;
//     maskLevel?: number;

//     diffusePreAlpha?: number;
//     opacityApplyRGB?: number;
    
//     // Mix Two Opacity
//     MixOUS ?: number;
//     MixOVS ?: number;
//     MixOUO ?: number;
//     MixOVO ?: number;
//     MixOUSp?: number;
//     MixOVSp?: number;
//     MixOIns?: number;
//     MixCUS ?: number;
//     MixCVS ?: number;
//     MixCUO ?: number;
//     MixCVO ?: number;
//     MixCIns?: number;
//     MixCVal?: number;
// }

// //#region PiStandard
// function create(context: string, babylonScene: any, materialName: string, index: number, materialInfo: IPIMaterialStandard, babylonDrawMode: number): any {

//     let mat = new BABYLON.StandardMaterial(materialName, babylonScene);

//     mat.diffuseColor.copyFromFloats(
//         materialInfo.diffuseColor[0],
//         materialInfo.diffuseColor[1],
//         materialInfo.diffuseColor[2]
//     );
//     mat.specularColor.copyFromFloats(
//         materialInfo.specularColor[0],
//         materialInfo.specularColor[1],
//         materialInfo.specularColor[2]
//     );
//     mat.specularPower = materialInfo.specularPower;
//     mat.ambientColor.copyFromFloats(
//         materialInfo.ambientColor[0],
//         materialInfo.ambientColor[1],
//         materialInfo.ambientColor[2]
//     );
//     mat.emissiveColor.copyFromFloats(
//         materialInfo.emissionColor[0],
//         materialInfo.emissionColor[1],
//         materialInfo.emissionColor[2]
//     );

//     if (materialInfo.maskColor) {
//         mat.maskColor.copyFromFloats(
//             materialInfo.maskColor[0],
//             materialInfo.maskColor[1],
//             materialInfo.maskColor[2]
//         );
//     }

//     if (materialInfo.coEColor) {
//         mat.cutoffEdgeColor.copyFromFloats(
//             materialInfo.coEColor[0],
//             materialInfo.coEColor[1],
//             materialInfo.coEColor[2]
//         );
//     }
//     if (materialInfo.coET != undefined) {
//         mat.cutoffEdgeThickness = materialInfo.coET;
//     }
//     if (materialInfo.coEL != undefined) {
//         mat.cutoffEdgeLevel = materialInfo.coEL;
//     }
//     if (materialInfo.coEAD != undefined) {
//         mat.cutoffEdgeAlphaDiff = materialInfo.coEAD;
//     }

//     return mat;
// }

// function loadAsync(context: string, materialInfo: IPIMaterialStandard, mat: BABYLON.StandardMaterial, _loader: any): Promise<void> {
//     let promises: Promise<any>[] = [];

//     if (materialInfo.diffuseTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/diffuseTexture", materialInfo.diffuseTexture, function(texture: BABYLON.Texture) {
//             mat.diffuseTexture = texture;
//             if (materialInfo.diffuseTexture.offset) {
//                 (<any>texture).uOffset = materialInfo.diffuseTexture.offset[0];
//                 (<any>texture).vOffset = materialInfo.diffuseTexture.offset[1];
//             }
//             if (materialInfo.diffuseTexture.scale) {
//                 (<any>texture).uScale = materialInfo.diffuseTexture.scale[0];
//                 (<any>texture).vScale = materialInfo.diffuseTexture.scale[1];
//             }
//             (<any>texture).level = materialInfo.diffuseTexture.level || materialInfo.diffuseLevel || 1.0;
//             if (materialInfo.useAlphaFromDiffuseTexture) {
//                 mat.useAlphaFromDiffuseTexture = materialInfo.useAlphaFromDiffuseTexture;
//             }
//             if (materialInfo.diffuseTexture.hasAlpha) {
//                 texture.hasAlpha = true;
//             }
//             if (materialInfo.diffuseOU) {
//                 texture.offsetSpeedU = materialInfo.diffuseOU;
//             }
//             if (materialInfo.diffuseOV) {
//                 texture.offsetSpeedV = materialInfo.diffuseOV;
//             }
//             if (materialInfo.diffusePreAlpha) {
//                 mat.diffuseTexturePremultiplyAlpha = true;
//             }
//         }));
//     }

//     if (materialInfo.opacityTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/opacityTexture", materialInfo.opacityTexture, function(texture: any) {
//             mat.opacityTexture = texture;
//             if (materialInfo.opacityTexture.offset) {
//                 (<any>texture).uOffset = materialInfo.opacityTexture.offset[0];
//                 (<any>texture).vOffset = materialInfo.opacityTexture.offset[1];
//             }
//             if (materialInfo.opacityTexture.scale) {
//                 (<any>texture).uScale = materialInfo.opacityTexture.scale[0];
//                 (<any>texture).vScale = materialInfo.opacityTexture.scale[1];
//             }
//             (<any>texture).level = materialInfo.opacityTexture.level || materialInfo.opacityLevel || 1.0;
//             if (materialInfo.opacityOU) {
//                 texture.offsetSpeedU = materialInfo.opacityOU;
//             }
//             if (materialInfo.opacityOV) {
//                 texture.offsetSpeedV = materialInfo.opacityOV;
//             }
//             if (materialInfo.opacityApplyRGB) {
//                 mat.opacityTextureApplyRGB = true;
//             }
//         }));
//     }

//     if (materialInfo.emissionTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/emissionTexture", materialInfo.emissionTexture, function(texture) {
//             mat.emissiveTexture = texture;
//             if (materialInfo.emissionTexture.offset) {
//                 (<BABYLON.Texture>texture).uOffset = materialInfo.emissionTexture.offset[0];
//                 (<BABYLON.Texture>texture).vOffset = materialInfo.emissionTexture.offset[1];
//             }
//             if (materialInfo.emissionTexture.scale) {
//                 (<BABYLON.Texture>texture).uScale = materialInfo.emissionTexture.scale[0];
//                 (<BABYLON.Texture>texture).vScale = materialInfo.emissionTexture.scale[1];
//             }
//             (<BABYLON.Texture>texture).level = materialInfo.emissionTexture.level || materialInfo.emissiveMapLevel || 1.0;
//             if (materialInfo.emissionOU) {
//                 texture.offsetSpeedU = materialInfo.emissionOU;
//             }
//             if (materialInfo.emissionOV) {
//                 texture.offsetSpeedV = materialInfo.emissionOV;
//             }
//         }));
//     }

//     if (materialInfo.ambientTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/ambientTexture", materialInfo.ambientTexture, function(texture) {
//             mat.ambientTexture = texture;
//             if (materialInfo.ambientTexture.offset) {
//                 (<BABYLON.Texture>texture).uOffset = materialInfo.ambientTexture.offset[0];
//                 (<BABYLON.Texture>texture).vOffset = materialInfo.ambientTexture.offset[1];
//             }
//             if (materialInfo.ambientTexture.scale) {
//                 (<BABYLON.Texture>texture).uScale = materialInfo.ambientTexture.scale[0];
//                 (<BABYLON.Texture>texture).vScale = materialInfo.ambientTexture.scale[1];
//             }
//             (<BABYLON.Texture>texture).level = materialInfo.ambientTexture.level || materialInfo.ambientMapLevel || 1.0;
//             // if (materialInfo.emissionOU) {
//             //     texture.offsetSpeedU = materialInfo.emissionOU;
//             // }
//             // if (materialInfo.emissionOV) {
//             //     texture.offsetSpeedV = materialInfo.emissionOV;
//             // }
//         }));
//     }

//     if (materialInfo.bumpTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/bumpTexture", materialInfo.bumpTexture, function(texture) {
//             mat.bumpTexture = texture;
//             if (materialInfo.bumpTexture.offset) {
//                 (<BABYLON.Texture>texture).uOffset = materialInfo.bumpTexture.offset[0];
//                 (<BABYLON.Texture>texture).vOffset = materialInfo.bumpTexture.offset[1];
//             }
//             if (materialInfo.bumpTexture.scale) {
//                 (<BABYLON.Texture>texture).uScale = materialInfo.bumpTexture.scale[0];
//                 (<BABYLON.Texture>texture).vScale = materialInfo.bumpTexture.scale[1];
//             }
//             (<BABYLON.Texture>texture).level = materialInfo.bumpTexture.level || materialInfo.normalScale || 1.0;
//         }));
//     }

//     if (materialInfo.lightmapTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/lightmapTexture", materialInfo.lightmapTexture, function(texture) {
//             mat.lightmapTexture = texture;
//             if (materialInfo.lightmapTexture.offset) {
//                 (<BABYLON.Texture>texture).uOffset = materialInfo.lightmapTexture.offset[0];
//                 (<BABYLON.Texture>texture).vOffset = materialInfo.lightmapTexture.offset[1];
//             }
//             if (materialInfo.lightmapTexture.scale) {
//                 (<BABYLON.Texture>texture).uScale = materialInfo.lightmapTexture.scale[0];
//                 (<BABYLON.Texture>texture).vScale = materialInfo.lightmapTexture.scale[1];
//             }
//             (<BABYLON.Texture>texture).level = materialInfo.lightmapTexture.level || 1.0;
//             (<BABYLON.Texture>texture).coordinatesIndex = 1;
//             mat.useLightmapAsShadowmap = !!materialInfo.useLightmapAsShadowmap;
//         }));
//     }

//     if (materialInfo.maskTexture) {
//         promises.push(_loader.loadTextureInfoAsync(context + "/PI_material/maskTexture", materialInfo.maskTexture, function(texture) {
//             mat.maskTexture = texture;
//             if (materialInfo.maskTexture.offset) {
//                 (<BABYLON.Texture>texture).uOffset = materialInfo.maskTexture.offset[0];
//                 (<BABYLON.Texture>texture).vOffset = materialInfo.maskTexture.offset[1];
//             }
//             if (materialInfo.maskTexture.scale) {
//                 (<BABYLON.Texture>texture).uScale = materialInfo.maskTexture.scale[0];
//                 (<BABYLON.Texture>texture).vScale = materialInfo.maskTexture.scale[1];
//             }
//             (<BABYLON.Texture>texture).level = materialInfo.maskTexture.level || materialInfo.maskLevel || 1.0;
//         }));
//     }

//     return Promise.all(promises).then(function() {
//         if (materialInfo.disableLighting != undefined) {
//             mat.disableLighting = materialInfo.disableLighting;
//         }
//         if (materialInfo.zWrite != undefined) {
//             mat.forceDepthWrite = true;
//         }
//         if (materialInfo.fog != undefined) {
//             mat.fogEnabled = materialInfo.fog;
//         }
//         if (materialInfo.alpha != undefined) {
//             mat.alpha = materialInfo.alpha;
//         }
//         if (materialInfo.alphaMode != undefined) {
//             mat.alphaMode = materialInfo.alphaMode;
//         }
//         if (materialInfo.alphaCutOff != undefined) {
//             mat.alphaCutOff = materialInfo.alphaCutOff;
//         }
//         if (mat) {
//             mat.sideOrientation = _loader.babylonScene.useRightHandedSystem ? BABYLON.Material.CounterClockWiseSideOrientation : BABYLON.Material.ClockWiseSideOrientation;
//         }
//         if (materialInfo.cull == "off") {
//             mat.backFaceCulling = false;
//         }
//         if (materialInfo.cull == "front") {
//             mat.sideOrientation = !_loader.babylonScene.useRightHandedSystem ? BABYLON.Material.CounterClockWiseSideOrientation : BABYLON.Material.ClockWiseSideOrientation;
//         }
//         if (materialInfo.renderQueue) {
//             if (materialInfo.renderQueue < 2450) {
//                 mat.transparencyMode = BABYLON.Material.MATERIAL_OPAQUE;
//             }
//             else if (materialInfo.renderQueue < 3000) {
//                 mat.transparencyMode = BABYLON.Material.MATERIAL_ALPHATEST;
//             }
//             else {
//                 if (materialInfo.alphaClip) {
//                     mat.transparencyMode = BABYLON.Material.MATERIAL_ALPHATESTANDBLEND;
//                 } else {
//                     mat.transparencyMode = BABYLON.Material.MATERIAL_ALPHABLEND;
//                 }
//                 mat.needAlphaBlending = () => true;
//             }
//         }

//         (<any>mat)._isReadyForSubMesh = function(this: BABYLON.StandardMaterial, subMesh: BABYLON.SubMesh) {
//             const defines = subMesh._materialDefines;
//             if (!this.checkReadyOnEveryCall && subMesh.effect && defines) {
//                 // 如果不受灯光影响 - 则灯光脏标识不受外部影响
//                 if (this.disableLighting) {
//                     defines._areLightsDirty = false;
//                 }
//                 if (defines._renderId === this.getScene().getRenderId()) {
//                         return true;
//                 }
//             }

//             return false;
//         };

//         if (materialInfo.EFBias !== undefined) {
//             mat.emissiveFresnelParameters = new BABYLON.FresnelParameters({
//                 leftColor: new BABYLON.Color3(...materialInfo.EFLeft),
//                 rightColor: new BABYLON.Color3(...materialInfo.EFRight),
//                 bias: materialInfo.EFBias,
//                 power: materialInfo.EFPower,
//                 isEnabled: true
//             });
//         }
        

//         if (materialInfo.OFBias !== undefined) {
//             mat.opacityFresnelParameters = new BABYLON.FresnelParameters({
//                 leftColor: new BABYLON.Color3(...materialInfo.OFLeft),
//                 rightColor: new BABYLON.Color3(...materialInfo.OFRight),
//                 bias: materialInfo.OFBias,
//                 power: materialInfo.OFPower,
//                 isEnabled: true
//             });
//         }

//         if (materialInfo.MixOIns) {
//             mat.mixOpacity = true;
//             mat.mixOpacityUScale    = materialInfo.MixOUS;
//             mat.mixOpacityVScale    = materialInfo.MixOVS;
//             mat.mixOpacityUOffset   = materialInfo.MixOUO;
//             mat.mixOpacityVOffset   = materialInfo.MixOVO;
//             mat.mixOpacityUSpeed    = materialInfo.MixOUSp;
//             mat.mixOpacityVSpeed    = materialInfo.MixOVSp;
//             mat.mixOpacityIntensity     = materialInfo.MixOIns;
//             mat.mixOpacityControlUScale     = materialInfo.MixCUS;
//             mat.mixOpacityControlVScale     = materialInfo.MixCVS;
//             mat.mixOpacityControlUOffset    = materialInfo.MixCUO;
//             mat.mixOpacityControlVOffset    = materialInfo.MixCVO;
//             mat.mixOpacityControlIntensity  = materialInfo.MixCIns;
//             mat.mixOpacityControlValue    = materialInfo.MixCVal;
//         }
//         // mat.freeze();
//     });
// }
// //#endregion

// export function registPiStandardFactory() {
//     BABYLON.GLTF2.Loader.Extensions.PI_material.regist(
//         "PiStandard",
//         create,
//         loadAsync
//     );
// }